package com.example.livingai.domain.repository.business

import androidx.paging.PagingData
import com.example.livingai.domain.model.AnimalProfile
import kotlinx.coroutines.flow.Flow

interface AnimalProfileRepository {
    fun getAnimalProfiles(): Flow<PagingData<AnimalProfile>>
    
    suspend fun saveAnimalProfile(animalProfile: AnimalProfile)
    
    suspend fun deleteAnimalProfile(id: String)
}
